Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Class AbstractUUIDGenerator

    java.lang.Object
      org.hibernate.id.AbstractUUIDGenerator

All Implemented Interfaces:
  IdentifierGenerator

Direct Known Subclasses:
  UUIDHexGenerator

    public abstract class AbstractUUIDGenerator

extends Object
implements IdentifierGenerator

The base class for identifier generators that use a UUID algorithm. This class implements the algorithm, subclasses define the identifier format.

Author:
  Gavin King
See Also:
  `UUIDHexGenerator`

Field Summary

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Constructor Summary
`AbstractUUIDGenerator()`

Method Summary
`protected short` | `getCount()` Unique in a millisecond for this JVM instance (unless there are > Short.MAX_VALUE instances created in a millisecond)
`protected short` | `getHiTime()` Unique down to millisecond
`protected int` | `getIP()` Unique in a local network
`protected int` | `getJVM()` Unique across JVMs on this machine (unless they load this class in the same quater second - very unlikely)
`protected int` | `getLoTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.id.IdentifierGenerator
`generate`

Constructor Detail

### AbstractUUIDGenerator

    public AbstractUUIDGenerator()

Method Detail

### getJVM

    protected int getJVM()

  Unique across JVMs on this machine (unless they load this class in the same quater second - very unlikely)

### getCount

    protected short getCount()

  Unique in a millisecond for this JVM instance (unless there are > Short.MAX_VALUE instances created in a millisecond)

### getIP

    protected int getIP()

  Unique in a local network

### getHiTime

    protected short getHiTime()

  Unique down to millisecond

### getLoTime

    protected int getLoTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD